## crypt blowfish-0.4

=== Makefile ===
#
# Written by Solar Designer and placed in the public domain.
# See crypt_blowfish.c for more information.
#

CC = gcc
AS = gcc
LD = gcc
RM = rm -f
CFLAGS = -c -Wall -O2 -fomit-frame-pointer -funroll-loops
ASFLAGS = -c
LDFLAGS = -s

BLOWFISH_OBJS = \
	crypt_blowfish.o x86.o

CRYPT_OBJS = \
	$(BLOWFISH_OBJS) crypt_gensalt.o wrapper.o

TEST_OBJS = \
	$(BLOWFISH_OBJS) crypt_gensalt.o crypt_test.o

all: $(CRYPT_OBJS)

check: crypt_test
	./crypt_test

crypt_test: $(TEST_OBJS)
	$(LD) $(LDFLAGS) $(TEST_OBJS) -o crypt_test

crypt_test.o: wrapper.c
	$(CC) $(CFLAGS) wrapper.c -DTEST -o crypt_test.o

.c.o:
	$(CC) $(CFLAGS) $*.c

.S.o:
	$(AS) $(ASFLAGS) $*.S

clean:
	$(RM) crypt_test *.o core

## crypt 1.0.0~mx21+1

=== debian/changelog ===
crypt (1.0.0~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 03 Oct 2021 22:35:22 -0400

com.github.dcharles525.crypt (1.0.0) precise; urgency=low

  * Initial Release.

 -- David Johnson <dcharles525@gmail.com>  Sun, 20 May 2018 15:15:00 -0700

=== debian/control ===
Source: crypt
Section: x11
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: David Johnson <dcharles525@gmail.com>
Build-Depends: meson,
               valac,
               debhelper,
               libgranite-dev,
               libgtk-3-dev,
               libglib2.0-dev,
               libsoup2.4-dev,
               libwebkit2gtk-4.0-dev,
               libjson-glib-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libclutter-gtk-1.0-dev,
               libclutter-gst-3.0-dev,
               libsqlite3-dev
Standards-Version: 3.9.3
Homepage: https://github.com/dcharles525/crypt

Package: crypt
Architecture: any
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: View and Watch Crypto Currency With Ease!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_clean:
	rm -rf debian/build

override_dh_auto_configure:
	mkdir -p debian/build
	cd debian/build && meson --prefix=/usr ../..

override_dh_auto_build:
	cd debian/build && ninja -v

override_dh_auto_test:
	cd debian/build && ninja test

override_dh_auto_install:
	cd debian/build && DESTDIR=${CURDIR}/debian/crypt ninja install

## crypt blowfish-0.4.2

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,11 @@
 TEST_OBJS = \
 	$(BLOWFISH_OBJS) crypt_gensalt.o crypt_test.o
 
-all: $(CRYPT_OBJS)
+EXTRA_MANS = \
+	crypt_r.3 crypt_rn.3 crypt_ra.3 \
+	crypt_gensalt.3 crypt_gensalt_rn.3 crypt_gensalt_ra.3
+
+all: $(CRYPT_OBJS) man
 
 check: crypt_test
 	./crypt_test
@@ -31,6 +35,11 @@
 crypt_test.o: wrapper.c
 	$(CC) $(CFLAGS) wrapper.c -DTEST -o crypt_test.o
 
+man: $(EXTRA_MANS)
+
+$(EXTRA_MANS):
+	echo '.so man3/crypt.3' > $@
+
 .c.o:
 	$(CC) $(CFLAGS) $*.c
 
@@ -38,4 +47,4 @@
 	$(AS) $(ASFLAGS) $*.S
 
 clean:
-	$(RM) crypt_test *.o core
+	$(RM) crypt_test *.o $(EXTRA_MANS) core
